# WiiTweet

WiiTweet is a homebrew Twitter client for the Nintendo Wii. 

It is not related to Twitter in any other way than using its service. It is not related to Nintendo in any way other than this software's main target platform is its Wii. These companies were not involved in the development of WiiTweet.

##  Features

  * Twitter API interaction
  * HTTPS support (through IOS)
  * OAuth authorization (credentials are encapsulated and saved within a profile file so you just authorize once)
  * Multiple profiles support
  * Image caching system
  * Browsing history (you can go back and forth between navigated pages)
  * Unicode capable, remappable keyboard
  * Content-Encoding: gzip, deflate support (tries to compensate the lack of JSON support)

Twitter API interfaces to:
  * Browse timelines
  * Follow/Unfollow users
  * Tweet, favorite, retweet, reply tweets
  * Browse favorited tweets
  * See followers and followed users
  * See tweets you are mentioned in
  * Search tweets and users

## Links

  * Read the [Wiibrew page](http://www.wiibrew.org/wiki/WiiTweet) if you want user-level information about WiiTweet's features and their usage.
  * Take a look at the [Trello board](https://trello.com/board/wiitweet/4fdfe9aa7469c9380358d6da) if you want to get an insight of what is being done.

## Resources

The following resources are used in the project.
### Libraries/code

  * [LibOGC](http://sourceforge.net/projects/devkitpro/files/libogc/)
  * [libwiigui](http://code.google.com/p/libwiigui/)
  * [twitcurl](http://code.google.com/p/twitcurl/)
  * [Mini-XML](http://www.minixml.org/)
  * [zLib](http://zlib.net/)
  * PNGU, libJPEG, libPNG, wiiuse, libfat, libfreetype, FreeTypeGX, GifLib
  * Plenty of tantric's code

## Other

  * DejaVu Sans 2.33 TrueType font
  * Libwiigui demo's button images

## Credits

If there were a team behind WiiTweet its only direct member would be Pedro Aguiar.

This would have never happened without the amazing people behind [wiibrew](http://wiibrew.org) and [devkitpro](http://devkitpro.org/). I am stating I am the only team member to protect your reputation of my potentially poorly written code!
